/*
 * Class CELL [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_746 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_746 [] = {0xFF01,237,745,212,0xFFFF};
static const EIF_TYPE_INDEX egt_2_746 [] = {0xFF01,745,212,0xFFFF};
static const EIF_TYPE_INDEX egt_3_746 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_746 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_746 [] = {0xFF01,745,212,0xFFFF};
static const EIF_TYPE_INDEX egt_6_746 [] = {0xFF01,745,212,0xFFFF};
static const EIF_TYPE_INDEX egt_7_746 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_746 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_746 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_746 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_746 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_746 [] = {745,212,0xFFFF};
static const EIF_TYPE_INDEX egt_13_746 [] = {0xFF01,745,212,0xFFFF};
static const EIF_TYPE_INDEX egt_14_746 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_746 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_746[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_746), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_746), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_746), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_746), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_746), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_746), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_746), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_746), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_746), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_746), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_746), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_746), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_746), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_746), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_746), 1827, 0},
	{EIF_GENERIC(NULL), 1828, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1829, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_746), -1, 0xFFFFFFFF},
};
void Init746(void)
{
	IDSC(desc_746, 0, 745);
	IDSC(desc_746 + 1, 1, 745);
	IDSC(desc_746 + 32, 170, 745);
}


#ifdef __cplusplus
}
#endif
